<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../models/Company.php';

$database = new Database();
$db = $database->getConnection();

$company = new Company($db);

$data = json_decode(file_get_contents("php://input"));

if (
    !empty($data->name) &&
    !empty($data->commercial_register)
) {
    $company->name = $data->name;
    $company->commercial_register = $data->commercial_register;
    $company->vat_number = $data->vat_number ?? null;
    $company->address = $data->address ?? null;

    if ($company->create()) {
        http_response_code(201);
        echo json_encode(["message" => "تم إنشاء الشركة بنجاح."]);
    } else {
        http_response_code(503);
        echo json_encode(["message" => "غير قادر على إنشاء الشركة."]);
    }
} else {
    http_response_code(400);
    echo json_encode(["message" => "البيانات غير مكتملة."]);
}
?>