<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../models/Company.php';

$database = new Database();
$db = $database->getConnection();

$company = new Company($db);

$stmt = $company->read();
$num = $stmt->rowCount();

if ($num > 0) {
    $companies_arr = [];
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row);
        $company_item = [
            "id" => $id,
            "name" => $name,
            "commercial_register" => $commercial_register,
            "vat_number" => $vat_number,
            "address" => $address,
            "created_at" => $created_at
        ];
        array_push($companies_arr, $company_item);
    }
    http_response_code(200);
    echo json_encode($companies_arr);
} else {
    http_response_code(404);
    echo json_encode(["message" => "لم يتم العثور على شركات."]);
}
?>