<?php

class Utilities {
    
    // دالة للتحقق من البيانات الفارغة
    public static function isNotEmpty($value) {
        return isset($value) && trim($value) !== '';
    }

    // دالة لتنسيق التاريخ بشكل يقرأه الإنسان
    public static function formatDate($date, $format = 'd-m-Y') {
        $dateTime = new DateTime($date);
        return $dateTime->format($format);
    }

    // دالة لتنظيف المدخلات
    public static function sanitizeInput($data) {
        return htmlspecialchars(strip_tags(trim($data)));
    }

    // دالة للاستجابة بصيغة JSON
    public static function jsonResponse($data, $statusCode = 200) {
        header("Access-Control-Allow-Origin: *");
        header("Content-Type: application/json; charset=UTF-8");
        http_response_code($statusCode);
        echo json_encode($data);
        exit;
    }

    // دالة لتوليد رمز عشوائي
    public static function generateRandomToken($length = 32) {
        return bin2hex(random_bytes($length / 2));
    }

    // دالة للتحقق من صحة البريد الإلكتروني
    public static function isValidEmail($email) {
        return filter_var($email, FILTER_VALIDATE_EMAIL) !== false;
    }

}

?>