<?php
session_start();
require_once '../backend/config/database.php';
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>نظام الميزانية الربعية المحاسبي</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link href="https://fonts.googleapis.com/css2?family=Tajawal:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<body>
    <div id="loader" class="loader-container">
        <div class="spinner-border text-primary" role="status">
            <span class="visually-hidden">جاري التحميل...</span>
        </div>
    </div>

    <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">
                <i class="fas fa-calculator ms-2"></i>
                نظام الميزانية المحاسبي
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarMain">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarMain">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" href="#" data-page="dashboard">
                            <i class="fas fa-home ms-1"></i>
                            الرئيسية
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-page="budgets">
                            <i class="fas fa-file-invoice-dollar ms-1"></i>
                            الميزانيات
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-page="reports">
                            <i class="fas fa-chart-bar ms-1"></i>
                            التقارير
                        </a>
                    </li>
                </ul>
                <div class="d-flex align-items-center">
                    <span class="text-light ms-3" id="current-date"></span>
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="userMenu" data-bs-toggle="dropdown">
                            <i class="fas fa-user-circle"></i>
                        </button>
                        <ul class="dropdown-menu dropdown-menu-end">
                            <li><a class="dropdown-item" href="#"><i class="fas fa-cog ms-2"></i>الإعدادات</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="#"><i class="fas fa-sign-out-alt ms-2"></i>تسجيل الخروج</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </nav>

    <div class="main-container">
        <aside class="sidebar">
            <div class="sidebar-header">
                <h5>القائمة الرئيسية</h5>
            </div>
            <ul class="sidebar-menu">
                <li class="active">
                    <a href="#" data-section="new-budget">
                        <i class="fas fa-plus-circle"></i>
                        ميزانية جديدة
                    </a>
                </li>
                <li>
                    <a href="#" data-section="budget-list">
                        <i class="fas fa-list"></i>
                        قائمة الميزانيات
                    </a>
                </li>
                <li>
                    <a href="#" data-section="reports">
                        <i class="fas fa-chart-pie"></i>
                        التقارير
                    </a>
                </li>
                <li>
                    <a href="#" data-section="settings">
                        <i class="fas fa-cog"></i>
                        الإعدادات
                    </a>
                </li>
            </ul>
        </aside>

        <main class="content">
            <div class="container-fluid">
                <section id="new-budget-section" class="content-section active">
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-title">
                                        <i class="fas fa-file-invoice me-2"></i>
                                        إنشاء ميزانية جديدة
                                    </h5>
                                </div>
                                <div class="card-body">
                                    <form id="budgetForm" class="needs-validation" novalidate>
                                        <div class="row mb-4">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="form-label">اسم الشركة</label>
                                                    <input type="text" class="form-control" id="companyName" required>
                                                    <div class="invalid-feedback">
                                                        يرجى إدخال اسم الشركة
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label class="form-label">الربع</label>
                                                    <select class="form-select" id="quarter" required>
                                                        <option value="">اختر الربع</option>
                                                        <option value="1">الربع الأول</option>
                                                        <option value="2">الربع الثاني</option>
                                                        <option value="3">الربع الثالث</option>
                                                        <option value="4">الربع الرابع</option>
                                                    </select>
                                                    <div class="invalid-feedback">
                                                        يرجى اختيار الربع
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label class="form-label">السنة</label>
                                                    <input type="number" class="form-control" id="year" required>
                                                    <div class="invalid-feedback">
                                                        يرجى إدخال السنة
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="card">
                                                    <div class="card-header bg-success text-white">
                                                        <h6 class="mb-0">الإيرادات</h6>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="form-group mb-3">
                                                            <label class="form-label">المبيعات</label>
                                                            <div class="input-group">
                                                                <input type="number" class="form-control" id="sales" step="0.01">
                                                                <span class="input-group-text">ر.س</span>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <label class="form-label">إيرادات أخرى</label>
                                                            <div class="input-group">
                                                                <input type="number" class="form-control" id="otherIncome" step="0.01">
                                                                <span class="input-group-text">ر.س</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="card">
                                                    <div class="card-header bg-danger text-white">
                                                        <h6 class="mb-0">المصروفات</h6>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="form-group mb-3">
                                                            <label class="form-label">تكلفة المبيعات</label>
                                                            <div class="input-group">
                                                                <input type="number" class="form-control" id="costOfSales" step="0.01">
                                                                <span class="input-group-text">ر.س</span>
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label class="form-label">المصروفات الإدارية</label>
                                                            <div class="input-group">
                                                                <input type="number" class="form-control" id="adminExpenses" step="0.01">
                                                                <span class="input-group-text">ر.س</span>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <label class="form-label">مصروفات أخرى</label>
                                                            <div class="input-group">
                                                                <input type="number" class="form-control" id="otherExpenses" step="0.01">
                                                                <span class="input-group-text">ر.س</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mt-4">
                                            <div class="col-12 text-center">
                                                <button type="button" class="btn btn-secondary me-2" onclick="resetForm()">
                                                    <i class="fas fa-redo ms-1"></i>
                                                    إعادة تعيين
                                                </button>
                                                <button type="button" class="btn btn-primary" onclick="calculateBudget()">
                                                    <i class="fas fa-calculator ms-1"></i>
                                                    حساب الميزانية
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="results" class="row mt-4" style="display: none;">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-header bg-primary text-white">
                                    <h5 class="card-title mb-0">
                                        <i class="fas fa-chart-bar me-2"></i>
                                        نتائج الميزانية
                                    </h5>
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div id="resultsContent"></div>
                                        </div>
                                        <div class="col-md-6">
                                            <canvas id="budgetChart"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </main>
    </div>

    <div class="toast-container position-fixed bottom-0 end-0 p-3">
        <div id="notification" class="toast" role="alert">
            <div class="toast-header">
                <i class="fas fa-info-circle me-2"></i>
                <strong class="me-auto">تنبيه</strong>
                <button type="button" class="btn-close" data-bs-dismiss="toast"></button>
            </div>
            <div class="toast-body"></div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="assets/js/script.js"></script>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const date = new Date();
            const options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
            document.getElementById('current-date').textContent = date.toLocaleDateString('ar-SA', options);
            
            document.getElementById('loader').style.display = 'none';
        });
    </script>
</body>
</html>